<?php

namespace App\Http\Controllers\Api\ConvertKit;

use ConvertKit\ConvertKit;
use Illuminate\Http\Request;
use App\Traits\ResponseTrait;
use App\Http\Controllers\Controller;

class ConvertKitController extends Controller
{
    use ResponseTrait;

    public $apiKey, $apiSecretKey, $formId;

    public function __construct()
    {
        $this->apiKey=config('services.convertkit.key');
        $this->apiSecretKey=config('services.convertkit.secret');
        $this->formId=config('services.convertkit.formId');
    }

    public function Subscribe(Request $request)
    {
        $data=[];
        $data['email']=$request->input('email');
        $ck = new ConvertKit($this->apiKey, $this->apiSecretKey);
        $subscriber = $ck->subscriber();

        try {
            $data=$subscriber->addToForm($this->formId,$data);
            return $this->responseSuccess($data,'Newsletter subscription Successfully',200);
        }catch(\Exception $e){
            return $this->responseError($e->getMessage(),'Error',401);

        }
    }
}
