<?php

namespace App\Repositories;

use App\Interfaces\WordInterface;
use App\Models\Word;
use Illuminate\Support\Facades\Auth;

class WordRepository implements WordInterface
{
    public function PostWord(array $data)
    {
        return Word::create($data);
    }

    public function getStudentWords($id)
    {
        return Word::where('user_id', $id)->get();
    }

    public function getWordById($id)
    {
        return Word::find($id);
    }

    public function updateWord($id, array $data)
    {
        $word=$this->getWordById($id);
        return $word->update($data);
    }

    public function deleteWord($id)
    {
        $word= Word::find($id);
        return $word->delete();
    }

}
?>
